libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.311. __nv_umulhi

Prototype:

    i32 @__nv_umulhi(i32 %x, i32 %y)

Description:

Calculate the most significant 32 bits of the 64-bit product `x` * `y`, where `x` and `y` are 32-bit unsigned integers.

Returns:

Returns the most significant 32 bits of the product `x` * `y`.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes